Operations - List
List the operations for the provider
GET https://management.azure.com/providers/Microsoft.AppComplianceAutomation/operations?api-version=2024-06-27
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Operations_List
Sample request
GET https://management.azure.com/providers/Microsoft.AppComplianceAutomation/operations?api-version=2024-06-27
Sample response
{
"value": [
{
"name": "Microsoft.AppComplianceAutomation/reports/write",
"isDataAction": false,
"display": {
"provider": "Microsoft AppComplianceAutomation",
"resource": "Microsoft.AppComplianceAutomation/reports",
"operation": "Microsoft.AppComplianceAutomation/reports/write",
"description": "Create new reports."
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Action |
Enum. Indicates the action type. "Internal" refers to actions that are for internal only APIs. |
| Display |
Localized display information for this particular operation. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
| Operation |
REST API Operation |
|
Operation |
A list of REST API operations supported by an Azure Resource Provider. It contains an URL link to get the next set of results. |
| Origin |
The intended executor of the operation; as in Resource Based Access Control (RBAC) and audit logs UX. Default value is "user,system" |
ActionType
Enum. Indicates the action type. "Internal" refers to actions that are for internal only APIs.
| Value | Description |
|---|---|
| Internal |
Display
Localized display information for this particular operation.
| Name | Type | Description |
|---|---|---|
| description |
string |
The short, localized friendly description of the operation; suitable for tool tips and detailed views. |
| operation |
string |
The concise, localized friendly name for the operation; suitable for dropdowns. E.g. "Create or Update Virtual Machine", "Restart Virtual Machine". |
| provider |
string |
The localized friendly form of the resource provider name, e.g. "Microsoft Monitoring Insights" or "Microsoft Compute". |
| resource |
string |
The localized friendly name of the resource type related to this operation. E.g. "Virtual Machines" or "Job Schedule Collections". |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
Operation
REST API Operation
| Name | Type | Description |
|---|---|---|
| actionType |
Enum. Indicates the action type. "Internal" refers to actions that are for internal only APIs. |
|
| display |
Localized display information for this particular operation. |
|
| isDataAction |
boolean |
Whether the operation applies to data-plane. This is "true" for data-plane operations and "false" for ARM/control-plane operations. |
| name |
string |
The name of the operation, as per Resource-Based Access Control (RBAC). Examples: "Microsoft.Compute/virtualMachines/write", "Microsoft.Compute/virtualMachines/capture/action" |
| origin |
The intended executor of the operation; as in Resource Based Access Control (RBAC) and audit logs UX. Default value is "user,system" |
OperationListResult
A list of REST API operations supported by an Azure Resource Provider. It contains an URL link to get the next set of results.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URL to get the next set of operation list results (if there are any). |
| value |
List of operations supported by the resource provider |
Origin
The intended executor of the operation; as in Resource Based Access Control (RBAC) and audit logs UX. Default value is "user,system"
| Value | Description |
|---|---|
| user | |
| system | |
| user,system |